Alerts - Refresh All
刷新资源范围的所有警报。
POST https://management.azure.com/{scope}/providers/Microsoft.Authorization/roleManagementAlerts/refresh?api-version=2022-08-01-preview
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
scope
|
path | True |
string |
警报的范围。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 202 Accepted |
接受。 响应指示警报正在刷新。 标头 Location: string |
|
| Other Status Codes |
描述作失败的原因的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
RefreshAllAlerts
示例请求
POST https://management.azure.com/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlerts/refresh?api-version=2022-08-01-preview
示例响应
Location: https://management.azure.com/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlertOperations/{operationId}?api-version=2022-04-01-preview
{
"id": "{operationId}",
"status": "notStarted",
"statusDetail": "{\"result\":[{\"name\":\"AzureRolesAssignedOutsidePimAlert\",\"statusDetail\":\"Alert scan is not yet started.\"}, {\"name\":\"DuplicateRoleCreated\",\"statusDetail\":\"Alert scan is not yet started.\"}]}",
"lastActionDateTime": "2022-04-05T03:04:06.467+00:00",
"createdDateTime": "2022-04-05T03:04:06.467+00:00",
"resourceLocation": "https://management.azure.com/providers/Microsoft.Subscription/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlerts?api-version=2022-08-01-preview"
}
定义
| 名称 | 说明 |
|---|---|
|
Alert |
警报作结果 |
|
Cloud |
服务的错误响应。 |
|
Cloud |
服务的错误响应。 |
AlertOperationResult
警报作结果
| 名称 | 类型 | 说明 |
|---|---|---|
| createdDateTime |
string (date-time) |
警报作的创建日期。 |
| id |
string |
警报作的 ID。 |
| lastActionDateTime |
string (date-time) |
警报作的最后一个作日期。 |
| resourceLocation |
string |
与作关联的警报的位置。 |
| status |
string |
警报作的状态。 |
| statusDetail |
string |
警报作的状态详细信息。 |
CloudError
服务的错误响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
服务的错误响应。 |
CloudErrorBody
服务的错误响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
错误的标识符。 代码是固定的,旨在以编程方式使用。 |
| message |
string |
描述错误的消息,旨在适合在用户界面中显示。 |